Bug 104167 - FILEOPEN: DOCX: 3 pages are merged into 1
Summary: FILEOPEN: DOCX: 3 pages are merged into 1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-11-25 16:44 UTC by Xisco Faulí
Modified: 2019-09-24 13:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (73.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-11-25 16:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-25 16:44:21 UTC
Created attachment 129009 [details]
sample

Steps to reproduce:
1. Open attached document

Observed behavior: Document contains 3 pages and it should contain 5

Reproduced in

Version: 5.3.0.0.alpha1+
Build ID: 4ebf1ea7cb66fc3e6b94cd38dd233aaead69f3d5
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: old; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-25 16:46:40 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-04 10:19:46 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-04 10:34:18 (GMT)
commit	c12a78e42e1cbaaf4ea021c82acbec5ea177b1f6 (patch)
tree	92939bcd9287f4b4243344047dd5a995ce446926
parent	c6019d89314be0ff85acf29ae9115c153cf31562 (diff)

writerfilter: reset properties of reused styles
When we have a style to import and the name is already taken, we reuse
the style (we can't use replaceByName(), it only works with user-defined
styles). If that happens, reset non-default properties of it, so the
result will be what was in the file, not a merge of Writer defaults and
what was in the file.

Adding Cc: to Miklos Vajna
Comment 2 QA Administrators 2017-12-10 16:42:18 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2017-12-11 12:17:16 UTC
Still reproducible in

Version: 6.1.0.0.alpha0+
Build ID: 3af500580b1c82eabd60335c9ebc458a3f68850c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 4 QA Administrators 2018-12-12 03:42:37 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2019-09-24 07:02:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a283627036c9b1c56e4b765866b8fb8a26ec87ab

tdf#104167 DOCX import: don't map Heading1 to Heading 1 para style

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-09-24 07:52:08 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: a283627036c9b1c56e4b765866b8fb8a26ec87ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 7 Commit Notification 2019-09-24 13:40:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d7a27b4373a209cd9b5fd52792a22dd3f612acaa

tdf#104167 DOCX import: don't map Heading1 to Heading 1 para style

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.